commit:     01b78707af162c330ae750162e9e3b636d4444a7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May  1 13:07:55 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May  1 13:19:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01b78707

dev-python/peewee: Bump to 3.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/peewee/Manifest                         |  1 +
 .../peewee/files/peewee-3.18.1-cython-3.1.patch    | 23 ++++++
 dev-python/peewee/peewee-3.18.1.ebuild             | 86 ++++++++++++++++++++++
 3 files changed, 110 insertions(+)

diff --git a/dev-python/peewee/Manifest b/dev-python/peewee/Manifest
index dd4355a9f982..bc8b41c12d93 100644
--- a/dev-python/peewee/Manifest
+++ b/dev-python/peewee/Manifest
@@ -1,2 +1,3 @@
 DIST peewee-3.17.9.gh.tar.gz 930724 BLAKE2B 
6ce8156b48876db93344b7eaac14122d9d11812cdacb80dc4f3db0e7aa05a97b279f27e5b8d17016cb43d68f5e9ecd4e591cd58e2520677dfba7544395447911
 SHA512 
7082b0abcdaf47ee7b50066773c8491bebc94502b875a0f2a01f6d8d251fd147c738362021ab1d45dbc8ddc73fd7a37c0bc2732623d0f4b3e5d314caea7da510
 DIST peewee-3.18.0.gh.tar.gz 931113 BLAKE2B 
615062dcdcbbedc8f9e92c9d4cdd35b96207689f76b7a336d472d5aed6b43fb65d4d74d84fac2c72096d7c4003b5b88fba77a6ee9eb9a64b8ebd8d3932187d89
 SHA512 
2753e076897c1a895942fe55f17763e4ad78defece29c0973b35146c767edb66f9447949eb3fe28fb0b45e74b805aa0115da234a1bdf67412e5f928a35c27390
+DIST peewee-3.18.1.gh.tar.gz 931200 BLAKE2B 
eacd3571175ae3bac019ac2dd0dcd561b9ef863a243bf54d45b8bb18656a458d32244f0a55b2e1d91dc07c7232c5f6182438c92f912d9f6ab75dee953b94d570
 SHA512 
eeef91aa30eea6ea6d4e1a7cdef7e8c207511ae65455cb0b5f84945c38ac6de3c8e218aa24752e3345d1eb4efcbf20ed289cf764c6fbd631b51be3d5075bc8b7

diff --git a/dev-python/peewee/files/peewee-3.18.1-cython-3.1.patch 
b/dev-python/peewee/files/peewee-3.18.1-cython-3.1.patch
new file mode 100644
index 000000000000..819c5c8905bc
--- /dev/null
+++ b/dev-python/peewee/files/peewee-3.18.1-cython-3.1.patch
@@ -0,0 +1,23 @@
+From 3aadae7eb3602f3ab893343045aa30d427985534 Mon Sep 17 00:00:00 2001
+From: Charles Leifer <[email protected]>
+Date: Thu, 1 May 2025 07:38:07 -0500
+Subject: [PATCH] Remove long check for newer cython.
+
+Fixes #2987
+---
+ playhouse/_sqlite_ext.pyx | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/playhouse/_sqlite_ext.pyx b/playhouse/_sqlite_ext.pyx
+index 41df21870..93b71cb52 100644
+--- a/playhouse/_sqlite_ext.pyx
++++ b/playhouse/_sqlite_ext.pyx
+@@ -326,7 +326,7 @@ cdef sqlite_to_python(int argc, sqlite3_value **params):
+ cdef python_to_sqlite(sqlite3_context *context, value):
+     if value is None:
+         sqlite3_result_null(context)
+-    elif isinstance(value, (int, long)):
++    elif isinstance(value, int):
+         sqlite3_result_int64(context, <sqlite3_int64>value)
+     elif isinstance(value, float):
+         sqlite3_result_double(context, <double>value)

diff --git a/dev-python/peewee/peewee-3.18.1.ebuild 
b/dev-python/peewee/peewee-3.18.1.ebuild
new file mode 100644
index 000000000000..19e58e6829a5
--- /dev/null
+++ b/dev-python/peewee/peewee-3.18.1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Small Python ORM"
+HOMEPAGE="
+       https://github.com/coleifer/peewee/
+       https://pypi.org/project/peewee/
+"
+SRC_URI="
+       https://github.com/coleifer/peewee/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="examples +native-extensions test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       native-extensions? ( dev-db/sqlite:3= )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               dev-db/postgresql
+               dev-python/psycopg:0[${PYTHON_USEDEP}]
+               sys-libs/timezone-data
+       )
+"
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx-rtd-theme
+
+src_prepare() {
+       local PATCHES=(
+               # 
https://github.com/dumpmemory/peewee/commit/3aadae7eb3602f3ab893343045aa30d427985534
+               "${FILESDIR}/${P}-cython-3.1.patch"
+       )
+
+       default
+
+       # disable test failing on postgres 16
+       sed -e 's/test_timeout/_&/' -i tests/sqliteq.py || die
+}
+
+src_compile() {
+       if ! use native-extensions; then
+               local -x NO_SQLITE=1
+       fi
+
+       distutils-r1_src_compile
+}
+
+src_test() {
+       initdb -D "${T}"/pgsql || die
+       pg_ctl -w -D "${T}"/pgsql start -o "-h '' -k '${T}'" || die
+       createdb -h "${T}" peewee_test || die
+       psql -h "${T}" peewee_test -c 'create extension hstore;' || die
+
+       local -x PEEWEE_PSQL_HOST="${T}"
+       distutils-r1_src_test
+
+       pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+       "${EPYTHON}" runtests.py -v 2 || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use examples && DOCS=( examples/ )
+       distutils-r1_python_install_all
+}

Reply via email to